Issue 119946 - [Windows 8 certification]Windows App Certification Kit - Test for "Section 3 Apps support Windows security features" is failed.
Summary: [Windows 8 certification]Windows App Certification Kit - Test for "Section 3 ...
Status: CONFIRMED
Alias: None
Product: Build Tools
Classification: Code
Component: solenv (show other issues)
Version: 3.4.0
Hardware: All Windows 7
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL: http://wiki.services.openoffice.org/w...
Keywords:
Depends on: 123647
Blocks:
  Show dependency tree
 
Reported: 2012-06-12 05:00 UTC by DaLi Liu
Modified: 2017-05-20 11:53 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
One potential way to add the missing flags. (1.51 KB, patch)
2012-06-14 13:34 UTC, Andre
no flags Details | Diff
Updated status of binaries with non-compliant flags (27.44 KB, text/plain)
2012-07-18 16:30 UTC, hdu@apache.org
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description DaLi Liu 2012-06-12 05:00:24 UTC
Test the package Apache_OpenOffice_incubating_3.4.0_Win_x86_install_en-US.exe  with Windows App Certification Kit on windows 8 release preview, get this warning result, it will be passed in order to pass the Windows 8 certification program.
----------------------------------------------------------------------
Related links:
Windows 8 Preview ISO image
http://windows.microsoft.com/en-US/windows-8/iso
Windows App Certification Kit
http://msdn.microsoft.com/en-us/windows/desktop/hh852363
Certification requirements for Windows 8 desktop apps
http://msdn.microsoft.com/library/windows/desktop/hh749939
----------------------------------------------------------------------
Part of the result.
Windows security features test 
WARNING 
Binary analyzer
Warning: The binary analyzer test detected the following errors: 
File C:\Program Files\OpenOffice.org 3\Basis\program\python-core-2.6.1\lib\_testcapi.pyd has failed the NXCheck check. 
File C:\Program Files\OpenOffice.org 3\Basis\program\python-core-2.6.1\lib\_testcapi.pyd has failed the DBCheck check. 
File C:\Program Files\OpenOffice.org 3\Basis\program\python-core-2.6.1\lib\_ssl.pyd has failed the NXCheck check. 
File C:\Program Files\OpenOffice.org 3\Basis\program\python-core-2.6.1\lib\_ssl.pyd has failed the DBCheck check. 
File C:\Program Files\OpenOffice.org 3\Basis\program\python-core-2.6.1\lib\_socket.pyd has failed the NXCheck check. 
File C:\Program Files\OpenOffice.org 3\Basis\program\python-core-2.6.1\lib\_socket.pyd has failed the DBCheck check. 
......
File C:\install.res.1040.dll has failed the ExecutableImportsCheck check. 
File C:\install.res.1036.dll has failed the ExecutableImportsCheck check. 
File C:\install.res.3082.dll has failed the ExecutableImportsCheck check. 
File C:\install.res.1033.dll has failed the ExecutableImportsCheck check. 
File C:\install.res.1031.dll has failed the ExecutableImportsCheck check. 
File C:\install.res.1028.dll has failed the ExecutableImportsCheck check. 
File C:\install.res.2052.dll has failed the ExecutableImportsCheck check. 
Impact if not fixed: If the app doesn’t use the available Windows protections, it can increase the vulnerability of customer's computer to malware. 
How to fix: Apply the SAFESEH, DYNAMICBASE, and NXCOMPAT options when you link the app. See link below for more information:
Fixing Binary Analyzer Errors 
http://go.microsoft.com/fwlink/?LinkId=247433
----------------------------------------------------------------------
Full result please see the attachment
Comment 2 Andre 2012-06-14 13:34:30 UTC
Created attachment 78328 [details]
One potential way to add the missing flags.
Comment 3 hdu@apache.org 2012-06-26 12:43:31 UTC
(In reply to comment #2)
> Created attachment 78328 [details]
> One potential way to add the missing flags.

@Andre: the suggested patch has one important problem:
   Python-2.6.1-security-flags.patch
is missing ;-) I guess it adds the lines
  RandomizedBaseAddress="1"
  DataExecutionPrevention="1"
  AdditionalOptions="/SAFESEH:NO"
to the *.vcproj files?
Comment 4 hdu@apache.org 2012-06-26 12:45:20 UTC
should have been SAFESEH:YES of course
Comment 5 SVN Robot 2012-07-17 12:16:42 UTC
"hdu" committed SVN revision 1362466 into trunk:
#i119946# enable SAFESEH, NXCOMPAT and DYNAMICBASE for python binariesPatch-b...
Comment 6 SVN Robot 2012-07-17 13:27:18 UTC
"hdu" committed SVN revision 1362483 into trunk:
#i119946# enable SAFESEH, NXCOMPAT and DYNAMICBASE for icu binariesPatch-by: ...
Comment 7 jsc 2012-07-18 11:02:02 UTC
set release blocker flag
Comment 8 hdu@apache.org 2012-07-18 16:30:30 UTC
Created attachment 78680 [details]
Updated status of binaries with non-compliant flags

The updated status has four sections:
- Binaries that are already fixed
- Binaries that eventually can be fixed
- Binaries that are outside of our control
- Files of unknown origin
Comment 9 jsc 2012-07-23 09:20:31 UTC
based on the latest status update the release blocker flag for 3.4.1 is removed. But we will continue the work on this to reach a clean test result if possible.
Comment 10 Pedro Giffuni 2012-10-22 16:16:34 UTC
FWIW,

It seems like upstream is maintaining a list of issues related to building Python with modern versions of MSVC:

http://wiki.python.org/moin/VS2010
Comment 11 Oliver-Rainer Wittmann 2013-06-14 13:11:02 UTC
no show stopper as Windows 8 certification is not in our scope for AOO 4.0